VisualEditor: Plugin editors to be created (tracking)
Closed, ResolvedPublic

Description

This is a tracking bug for the creation of VisualEditor plugin editors, for each of which the primary bug should live in that product/component instead (where they're about an existing Extension etc.).


Version: unspecified
Severity: enhancement

bzimport set Reference to bz46803.
Jdforrester-WMF created this task.Via LegacyApr 2 2013, 6:16 PM
Jdforrester-WMF added a comment.Via ConduitApr 2 2013, 6:18 PM

Setting to "Lowest" priority as in general the WMF VisualEditor team won't itself be creating these, but instead helping others do so.

Jdforrester-WMF added a comment.Via ConduitNov 13 2014, 5:04 PM

(In reply to Elitre from comment #2)

For documentation, see https://www.mediawiki.org/wiki/VisualEditor_gadgets.

No, that doesn't document how to create a proper VisualEditor plugin; the gadgets system uses a different way to work.

Jdforrester-WMF closed blocking task T41596: Support tables (tracking) as "Resolved".Via WebNov 24 2014, 2:22 AM
Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:19 PM
Jdforrester-WMF closed this task as "Resolved".Via WebJan 28 2015, 5:59 AM
Jdforrester-WMF claimed this task.

Replaced by the VisualEditor-MediaWiki-Plugins project.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.